---
swagger: "2.0"
info:
  title: Autonomy FE API
  description: ""
  version: 1.0.0
host: http://localhost
basePath: /
paths:
  /frontend/csrf-cookie:
    get:
      summary: Return an empty response simply to trigger the storage of the CSRF
        cookie in the browser.
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /frontend/get-site:
    get:
      summary: Show page detail
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /frontend/verify-access:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /frontend/newsletter:
    post:
      summary: Submit a new newsletter subscriber
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - email
          properties:
            email:
              type: string
  /frontend/enquiries:
    post:
      summary: Handle submitting a new enquiry from site
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in': body
        name: body
        description: ""
        schema:
          type: object
          required:
          - id
          - questions
          properties:
            id:
              type: number
            questions:
              type: array
              items: []
  /frontend/pages/{page}:
    get:
      summary: Show page detail
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: page
        type: string
        required: true
        description: ""
  /frontend/find-vehicle:
    post:
      summary: Vehicle search filter endpoint
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /frontend/find-vehicle/widget:
    post:
      summary: Vehicle search via widget
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /frontend/vehicles/{vehicle}/quick-view:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle
        type: string
        required: true
        description: ""
  /frontend/vehicles/{vehicle}:
    get:
      summary: Show vehicle FPA details
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle
        type: string
        required: true
        description: ""
  /frontend/recent-vehicles/{vehicle}:
    get:
      summary: Get list of recently viewed vehicles
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: vehicle
        type: string
        required: false
        description: ""
  /frontend/valuations:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - registration_number
          - mileage
          properties:
            registration_number:
              type: string
            mileage:
              type: number
  /frontend/dealerships:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
  /frontend/dealerships/{dealership}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: dealership
        type: string
        required: true
        description: ""
  /frontend/offers:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          properties:
            model_id:
              type: string
            sort:
              type: string
  /frontend/offers/{make}:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: make
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          properties:
            model_id:
              type: string
            sort:
              type: string
  /frontend/offers/{offer}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: offer
        type: string
        required: true
        description: ""
  /frontend/new-cars/{make}:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: make
        type: string
        required: true
        description: ""
      - in: body
        name: body
        description: ""
        schema:
          type: object
          properties:
            model_id:
              type: string
            sort:
              type: string
  /frontend/new-cars/{car}:
    get:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: path
        name: car
        type: string
        required: true
        description: ""
  /frontend/conversion/track:
    post:
      summary: ""
      description: ""
      deprecated: false
      responses:
        200:
          description: OK
      parameters:
      - in: body
        name: body
        description: ""
        schema:
          type: object
          required:
          - id
          - model
          - type
          properties:
            id:
              type: number
            model:
              type: string
              enum:
              - '"user"'
              - '"dealership"'
              - '"vehicle"'
              - '"offer"'
              - '"make"'
              - '"model"'
              - '"fuel_type"'
              - '"transmission"'
              - '"body_style"'
              - '"drivetrain"'
              - '"franchise"'
              - '"offer-content"'
              - '"offer-version"'
              - '"new-car"'
              - '"new-car-content"'
              - '"new-car-version"'
              - '"seo-default"'
              - '"enquiry"'
              - '"media"'
              - '"media_use"'
              - '"page"'
              - '"element"'
              - '"global-content"'
              - '"version"'
              - '"template"'
              - '"menu"'
              - '"menu_entry"'
              - '"comment"'
              - '"content"'
              - '"version_content"'
            type:
              type: string
...
